camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Claus Ibsen (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (CAMEL-6596) We use some outdated Maven plugins. We should check whether we can upgrade
Date Fri, 02 Aug 2013 08:07:48 GMT

    [ https://issues.apache.org/jira/browse/CAMEL-6596?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13727471#comment-13727471
] 

Claus Ibsen commented on CAMEL-6596:
------------------------------------

There is some problems with antrun 1.7 plugin. For example I get this error building camel-spring
{code}
[INFO] Scanning for projects...
[INFO]
[INFO] ------------------------------------------------------------------------
[INFO] Building Camel :: Spring 2.12-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO]
[INFO] --- maven-bundle-plugin:2.3.7:cleanVersions (versions) @ camel-spring ---
[INFO]
[INFO] --- maven-antrun-plugin:1.7:run (generate-sources) @ camel-spring ---
[INFO] Executing tasks

main:
     [echo] Copying code together for the XSD generation
     [echo] Generating XSD schema
[schemagen] /Users/davsclaus/workspace/camel/components/camel-spring/target/antrun/build-main.xml:42:
warning: 'includeantruntime' was not set, defaulting to build.sysclasspath=last; set to false
for repeatable builds
[INFO] ------------------------------------------------------------------------
[INFO] BUILD FAILURE
[INFO] ------------------------------------------------------------------------
[INFO] Total time: 2.740s
[INFO] Finished at: Fri Aug 02 10:03:37 CEST 2013
[INFO] Final Memory: 15M/206M
[INFO] ------------------------------------------------------------------------
[ERROR] Failed to execute goal org.apache.maven.plugins:maven-antrun-plugin:1.7:run (generate-sources)
on project camel-spring: An Ant BuildException has occured: Unable to find a javac compiler;
[ERROR] com.sun.tools.javac.Main is not on the classpath.
[ERROR] Perhaps JAVA_HOME does not point to the JDK.
[ERROR] It is currently set to "/Library/Java/JavaVirtualMachines/jdk1.7.0_25.jdk/Contents/Home/jre"
[ERROR] around Ant part ...<schemagen destdir="/Users/davsclaus/workspace/camel/components/camel-spring/target/schema"
srcdir="/Users/davsclaus/workspace/camel/components/camel-spring/target/schema-src">...
@ 42:179 in /Users/davsclaus/workspace/camel/components/camel-spring/target/antrun/build-main.xml
[ERROR] -> [Help 1]
{code}

So reverting that to 1.6 to have it build for the time being.
                
> We use some outdated Maven plugins. We should check whether we can upgrade
> --------------------------------------------------------------------------
>
>                 Key: CAMEL-6596
>                 URL: https://issues.apache.org/jira/browse/CAMEL-6596
>             Project: Camel
>          Issue Type: Task
>          Components: build system
>    Affects Versions: 2.11.1
>            Reporter: Christian Müller
>            Assignee: Christian Müller
>            Priority: Minor
>             Fix For: 2.12.0
>
>
> {noformat}
> [INFO]   maven-antrun-plugin ...................................... 1.6 -> 1.7
> [INFO]   maven-assembly-plugin ............................. 2.2.1 -> 2.4
> [INFO]   maven-idea-plugin ...................................... 2.2 -> 2.2.1
> [INFO]   net.alchim31.maven:scala-maven-plugin ................ 3.1.2 -> 3.1.5
> [INFO]   org.apache.felix:maven-bundle-plugin ................. 2.3.7 -> 2.4.0
> [INFO]   maven-antrun-plugin ...................................... 1.6 -> 1.7
> [INFO]   maven-archetype-plugin ................................... 2.0 -> 2.2
> [INFO]   maven-checkstyle-plugin ............................... 2.9.1 -> 2.10
> [INFO]   maven-compiler-plugin .................................. 2.5.1 -> 3.1
> [INFO]   maven-failsafe-plugin .................................. 2.13 -> 2.15
> [INFO]   maven-surefire-plugin .................................. 2.13 -> 2.15
> [INFO]   maven-surefire-report-plugin ........................... 2.13 -> 2.15
> [INFO]   maven-war-plugin ......................................... 2.3 -> 2.4
> [INFO]   org.apache.tomcat.maven:tomcat7-maven-plugin ............. 2.0 -> 2.1
> [INFO]   org.codehaus.mojo:build-helper-maven-plugin .............. 1.7 -> 1.8
> [INFO]   org.jvnet.jaxb2.maven2:maven-jaxb2-plugin ............ 0.8.1 -> 0.8.3
> [INFO]   org.mortbay.jetty:jetty-maven-plugin  7.6.9.v20130131 -> 8.1.12.v20130726
> [INFO]   org.apache.camel:camel-package-maven-plugin  ${project.version} -> 2.11.1
> [INFO]   org.apache.camel:camel-package-maven-plugin  ${project.version} -> 2.11.1
> [INFO]   maven-antrun-plugin ...................................... 1.6 -> 1.7
> [INFO]   com.sun.jersey.contribs:maven-wadl-plugin ............ 1.13 -> 1.17.1
> [INFO]   maven-war-plugin ......................................... 2.3 -> 2.4
> [INFO]   org.mortbay.jetty:jetty-maven-plugin  7.6.9.v20130131 -> 8.1.12.v20130726
> [INFO]   maven-invoker-plugin ..................................... 1.7 -> 1.8
> [INFO]   maven-compiler-plugin .................................. 2.5.1 -> 3.1
> {noformat}

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message